Skip to main content
GET
Get inbound deposits

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string
required

ID of the user

Query Parameters

chain
enum<string>
required

The blockchain network to retrieve the wallet balance from.

Available options:
POLYGON,
ETHEREUM,
SOLANA,
BASE,
TRON
currency
enum<string>
required

The type of currency to check the balance for.

Available options:
usdc,
usdt,
usdg,
pyusd
status
enum<string>

Status of the deposit, CONFIRMED indicates the deposit is found in the blockchain, COMPLETED indicates the deposit is completed and unlikely to be reverted.

Available options:
CONFIRMED,
COMPLETED
createdAfter
string<date>

ISO format: YYYY-MM-DD

createdBefore
string<date>

ISO format: YYYY-MM-DD

limit
string

default to 10, maximum to 100

minAmount
number

Minimum amount of the deposit, default is 0.01

Response

Success

count
integer
deposits
object[]
nextCursor
string

The createdAt timestamp of the last record in the current page. Pass this as createdBefore in the next request to retrieve the next page of results.